Exchange authorization code for access token
curl --request POST \
--url https://console.gmicloud.ai/api/v1/oauth/token \
--header 'Content-Type: application/json' \
--data '
{
"provider": "github",
"code": "abc123def456"
}
'import requests
url = "https://console.gmicloud.ai/api/v1/oauth/token"
payload = {
"provider": "github",
"code": "abc123def456"
}
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({provider: 'github', code: 'abc123def456'})
};
fetch('https://console.gmicloud.ai/api/v1/oauth/token', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"accessToken": "ya29.a0AfH6SMB..."
}{
"group": "request",
"code": 0,
"validationDetail": [
{
"field": "code",
"expression": "required",
"originalValue": "",
"reason": "This field is required."
}
]
}{
"group": "oauth",
"code": 1200,
"message": "Exchange authorization code encountered error.",
"traces": [
"error occurred."
]
}oauth
Exchange authorization code for access token
Exchanges an authorization code for an access token.
POST
/
oauth
/
token
Exchange authorization code for access token
Body
application/json
The request body for exchanging authorization code.
Response
Successfully exchanged authorization code for access token.
The OAuth access token that can be used to access the provider's API.
Example:
"ya29.a0AfH6SMB..."
⌘I